%define upstream_name Gnome2-VFS
%define upstream_version 1.082

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	Perl module for the gnome2-2.x VFS libraries
License:	GPL+ or Artistic
Group:		Development/GNOME and GTK+
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Gnome2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	libgnome-vfs2-devel >= 2.6
BuildRequires:	perl-Glib >= 1.00
BuildRequires:	perl-Gtk2
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig 

Requires:	perl-Glib >= 1.00, libgnome-vfs2 >= 2.6

%description
This module provides perl access to GNOME-2.x VFS libraries.

The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%check
make test

%files
%doc LICENSE examples/*
%{_mandir}/*/*
%{perl_vendorarch}/*
%{perl_vendorarch}/auto/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.82.0-9.mga6
+ Revision: 1027951
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.82.0-8.mga6
+ Revision: 957370
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.82.0-7.mga6
+ Revision: 844880
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 1.82.0-6.mga6
+ Revision: 841060
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.82.0-5.mga5
+ Revision: 744897
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.82.0-4.mga5
+ Revision: 684882
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.82.0-3.mga5
+ Revision: 632236
- perl 5.20.0 rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.82.0-2.mga4
+ Revision: 539101
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 1.82.0-1.mga4
+ Revision: 491409
- update to 1.082

* Wed May 29 2013 jquelin <jquelin> 1.081-10.mga4
+ Revision: 431526
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.081-9.mga3
+ Revision: 367809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.081-8.mga3
+ Revision: 250667
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1.081-7.mga2
+ Revision: 138578
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1.081-6.mga2
+ Revision: 104370
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1.081-5.mga1
+ Revision: 36268
- mageia rebuild
- easier to read buildrequires
- mageia rebuild
- imported package perl-Gnome2-VFS

